package com.jiayue.ssi.config;

import com.jiayue.ssi.interceptor.TokenStatusInterceptor;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.InterceptorRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

/**
* MVC配置
*
* @author xsl
* @since 2023/03/03
*/
@Configuration
public class WebConfig implements WebMvcConfigurer {
    @Override
    public void addInterceptors(InterceptorRegistry registry){
        // 刷新token拦截器注册
        registry.addInterceptor(new TokenStatusInterceptor()).addPathPatterns("/**")
                .excludePathPatterns("/refreshToken","/error","/getMailCode","/getVerifyCode","/login","/index.html","/user/login","/css/**","/images/**","/js/**","/fonts/**");
    }
}
